// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.18.1
// source: client/call.proto

package freeje_client

import (
	api "gitlab.com/BetaCompany/Freeje/sdk/go/api"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

//Данные для регистрации через внешние сервисы (SIP,VERTO)
type RegistrationCredentials struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Sipuri   string `protobuf:"bytes,1,opt,name=sipuri,proto3" json:"sipuri,omitempty"`     // адрес SIP сервера
	Wssuri   string `protobuf:"bytes,2,opt,name=wssuri,proto3" json:"wssuri,omitempty"`     // адрес WSS сервера
	Login    string `protobuf:"bytes,3,opt,name=login,proto3" json:"login,omitempty"`       // логин для входа
	Passowrd string `protobuf:"bytes,4,opt,name=passowrd,proto3" json:"passowrd,omitempty"` // пароль для входа
}

func (x *RegistrationCredentials) Reset() {
	*x = RegistrationCredentials{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_call_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RegistrationCredentials) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RegistrationCredentials) ProtoMessage() {}

func (x *RegistrationCredentials) ProtoReflect() protoreflect.Message {
	mi := &file_client_call_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RegistrationCredentials.ProtoReflect.Descriptor instead.
func (*RegistrationCredentials) Descriptor() ([]byte, []int) {
	return file_client_call_proto_rawDescGZIP(), []int{0}
}

func (x *RegistrationCredentials) GetSipuri() string {
	if x != nil {
		return x.Sipuri
	}
	return ""
}

func (x *RegistrationCredentials) GetWssuri() string {
	if x != nil {
		return x.Wssuri
	}
	return ""
}

func (x *RegistrationCredentials) GetLogin() string {
	if x != nil {
		return x.Login
	}
	return ""
}

func (x *RegistrationCredentials) GetPassowrd() string {
	if x != nil {
		return x.Passowrd
	}
	return ""
}

type CallNumber struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// номер или его часть
	Dial string `protobuf:"bytes,1,opt,name=dial,proto3" json:"dial,omitempty"`
	// данные по стоимости
	Price *api.DidPrice `protobuf:"bytes,2,opt,name=price,proto3" json:"price,omitempty"`
}

func (x *CallNumber) Reset() {
	*x = CallNumber{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_call_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CallNumber) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CallNumber) ProtoMessage() {}

func (x *CallNumber) ProtoReflect() protoreflect.Message {
	mi := &file_client_call_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CallNumber.ProtoReflect.Descriptor instead.
func (*CallNumber) Descriptor() ([]byte, []int) {
	return file_client_call_proto_rawDescGZIP(), []int{1}
}

func (x *CallNumber) GetDial() string {
	if x != nil {
		return x.Dial
	}
	return ""
}

func (x *CallNumber) GetPrice() *api.DidPrice {
	if x != nil {
		return x.Price
	}
	return nil
}

var File_client_call_proto protoreflect.FileDescriptor

var file_client_call_proto_rawDesc = []byte{
	0x0a, 0x11, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f, 0x63, 0x61, 0x6c, 0x6c, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x1a, 0x0c, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x7b, 0x0a, 0x17, 0x52, 0x65, 0x67, 0x69,
	0x73, 0x74, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x72, 0x65, 0x64, 0x65, 0x6e, 0x74, 0x69,
	0x61, 0x6c, 0x73, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x69, 0x70, 0x75, 0x72, 0x69, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x73, 0x69, 0x70, 0x75, 0x72, 0x69, 0x12, 0x16, 0x0a, 0x06, 0x77,
	0x73, 0x73, 0x75, 0x72, 0x69, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x77, 0x73, 0x73,
	0x75, 0x72, 0x69, 0x12, 0x14, 0x0a, 0x05, 0x6c, 0x6f, 0x67, 0x69, 0x6e, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x05, 0x6c, 0x6f, 0x67, 0x69, 0x6e, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x61, 0x73,
	0x73, 0x6f, 0x77, 0x72, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x61, 0x73,
	0x73, 0x6f, 0x77, 0x72, 0x64, 0x22, 0x4c, 0x0a, 0x0a, 0x43, 0x61, 0x6c, 0x6c, 0x4e, 0x75, 0x6d,
	0x62, 0x65, 0x72, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x69, 0x61, 0x6c, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x64, 0x69, 0x61, 0x6c, 0x12, 0x2a, 0x0a, 0x05, 0x70, 0x72, 0x69, 0x63, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x69, 0x63, 0x65, 0x52, 0x05, 0x70, 0x72,
	0x69, 0x63, 0x65, 0x32, 0xb0, 0x02, 0x0a, 0x04, 0x43, 0x61, 0x6c, 0x6c, 0x12, 0x33, 0x0a, 0x05,
	0x52, 0x6f, 0x75, 0x74, 0x65, 0x12, 0x14, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x43, 0x61, 0x6c, 0x6c, 0x1a, 0x14, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x43, 0x61, 0x6c,
	0x6c, 0x12, 0x35, 0x0a, 0x07, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d, 0x12, 0x14, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x43, 0x61,
	0x6c, 0x6c, 0x1a, 0x14, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e,
	0x56, 0x6f, 0x69, 0x70, 0x43, 0x61, 0x6c, 0x6c, 0x12, 0x34, 0x0a, 0x06, 0x52, 0x65, 0x6a, 0x65,
	0x63, 0x74, 0x12, 0x14, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e,
	0x56, 0x6f, 0x69, 0x70, 0x43, 0x61, 0x6c, 0x6c, 0x1a, 0x14, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x43, 0x61, 0x6c, 0x6c, 0x12, 0x34,
	0x0a, 0x06, 0x48, 0x61, 0x6e, 0x67, 0x75, 0x70, 0x12, 0x14, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x43, 0x61, 0x6c, 0x6c, 0x1a, 0x14,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x56, 0x6f, 0x69, 0x70,
	0x43, 0x61, 0x6c, 0x6c, 0x12, 0x50, 0x0a, 0x08, 0x45, 0x73, 0x74, 0x69, 0x6d, 0x61, 0x74, 0x65,
	0x12, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x43, 0x61, 0x6c, 0x6c, 0x4e, 0x75, 0x6d,
	0x62, 0x65, 0x72, 0x1a, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x43, 0x61, 0x6c, 0x6c,
	0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x42, 0x6d, 0x0a, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x42,
	0x08, 0x43, 0x61, 0x6c, 0x6c, 0x54, 0x79, 0x70, 0x65, 0x50, 0x00, 0x5a, 0x3d, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x42, 0x65, 0x74, 0x61, 0x43, 0x6f, 0x6d, 0x70,
	0x61, 0x6e, 0x79, 0x2f, 0x46, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2f, 0x73, 0x64, 0x6b, 0x2f, 0x67,
	0x6f, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x3b, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0xa2, 0x02, 0x08, 0x43, 0x61, 0x6c,
	0x6c, 0x54, 0x79, 0x70, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_client_call_proto_rawDescOnce sync.Once
	file_client_call_proto_rawDescData = file_client_call_proto_rawDesc
)

func file_client_call_proto_rawDescGZIP() []byte {
	file_client_call_proto_rawDescOnce.Do(func() {
		file_client_call_proto_rawDescData = protoimpl.X.CompressGZIP(file_client_call_proto_rawDescData)
	})
	return file_client_call_proto_rawDescData
}

var file_client_call_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_client_call_proto_goTypes = []interface{}{
	(*RegistrationCredentials)(nil), // 0: com.freeje.api.client.RegistrationCredentials
	(*CallNumber)(nil),              // 1: com.freeje.api.client.CallNumber
	(*api.DidPrice)(nil),            // 2: com.freeje.DidPrice
	(*api.VoipCall)(nil),            // 3: com.freeje.VoipCall
}
var file_client_call_proto_depIdxs = []int32{
	2, // 0: com.freeje.api.client.CallNumber.price:type_name -> com.freeje.DidPrice
	3, // 1: com.freeje.api.client.Call.Route:input_type -> com.freeje.VoipCall
	3, // 2: com.freeje.api.client.Call.Confirm:input_type -> com.freeje.VoipCall
	3, // 3: com.freeje.api.client.Call.Reject:input_type -> com.freeje.VoipCall
	3, // 4: com.freeje.api.client.Call.Hangup:input_type -> com.freeje.VoipCall
	1, // 5: com.freeje.api.client.Call.Estimate:input_type -> com.freeje.api.client.CallNumber
	3, // 6: com.freeje.api.client.Call.Route:output_type -> com.freeje.VoipCall
	3, // 7: com.freeje.api.client.Call.Confirm:output_type -> com.freeje.VoipCall
	3, // 8: com.freeje.api.client.Call.Reject:output_type -> com.freeje.VoipCall
	3, // 9: com.freeje.api.client.Call.Hangup:output_type -> com.freeje.VoipCall
	1, // 10: com.freeje.api.client.Call.Estimate:output_type -> com.freeje.api.client.CallNumber
	6, // [6:11] is the sub-list for method output_type
	1, // [1:6] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_client_call_proto_init() }
func file_client_call_proto_init() {
	if File_client_call_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_client_call_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RegistrationCredentials); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_call_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CallNumber); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_client_call_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_client_call_proto_goTypes,
		DependencyIndexes: file_client_call_proto_depIdxs,
		MessageInfos:      file_client_call_proto_msgTypes,
	}.Build()
	File_client_call_proto = out.File
	file_client_call_proto_rawDesc = nil
	file_client_call_proto_goTypes = nil
	file_client_call_proto_depIdxs = nil
}
